versión API Graph

Instagram Business Asset Agencies

Lectura

Returns the Businesses and Agencies that have permissions on the Instagram Business Asset

Requirements

  • The business_management permission for the business that owns the Instagram Business Asset

Ejemplo

Graph API Explorer
GET /v25.0/{instagram-business-asset-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Si quieres aprender a usar la API Graph, lee nuestra guía "Uso de la API Graph".

Parámetros

Este extremo no tiene ningún parámetro.

Campos

La lectura de este perímetro mostrará un resultado formateado con JSON:

{ "data": [], "paging": {} }

data

Una lista de nodos de Business.

paging

Para obtener más detalles sobre la paginación, consulta la Guía de la API Graph.

Creando

Giving an agency access to an Instagram business asset lets them work on tasks you assign to them, including using APIs to manage tasks. The Instagram business asset will remain in your portfolio.

You can make a POST request to agencies edge from the following paths:
When posting to this edge, no Graph object will be created.

Parámetros

ParámetroDescripción
business
numeric string

The business ID of the agency that you want to assign to this Instagram Business Asset

Obligatorio
permitted_tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Tasks that you want to assign to the agency

Obligatorio

Return Type

This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}

Error Codes

ErrorDescripción
100Invalid parameter

Actualizando

No puedes realizar esta operación en este extremo.

Eliminando

You can dissociate a Business from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/agencies.

Parámetros

ParámetroDescripción
business
numeric string

The business ID of the agency that you want to revoke access for the Instagram Business Asset

Obligatorio

Return Type

Struct {
success: bool,
}